import { defineConfig, presetWind } from 'unocss'
export function createConfig({ dev = true } = {}) {
  return defineConfig({
    envMode: dev ? 'dev' : 'build',
    presets: [presetWind()],
    theme: {
      colors: {
        primary: '#1890ff'
      },
      screens: {
        sm: '576px',
        md: '768px',
        lg: '992px',
        xl: '1200px',
        '2xl': '1600px'
      },
      boxShadow: {
        card: '0 0 13px 0 rgba(74, 53, 107, 0.08)'
      }
    }
    // transformers: [transformerDirectives()]
  })
}

export default createConfig()
